Bug 891102 - [abrt] cairo-dock-core-2.4.0.2-2.fc17: cairo_dock_hide_child_docks: Process /usr/bin/cairo-dock was killed by signal 11 (SIGSEGV)
Summary: [abrt] cairo-dock-core-2.4.0.2-2.fc17: cairo_dock_hide_child_docks: Process /...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cairo-dock
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d45ff3ed9b1b1a35900bae4da23...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-01 17:52 UTC by Demsking
Modified: 2013-08-01 00:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 00:20:14 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (1.78 KB, text/plain)
2013-01-01 17:52 UTC, Demsking
no flags Details
File: environ (1.78 KB, text/plain)
2013-01-01 17:52 UTC, Demsking
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-01 17:52 UTC, Demsking
no flags Details
File: backtrace (28.90 KB, text/plain)
2013-01-01 17:52 UTC, Demsking
no flags Details
File: cgroup (132 bytes, text/plain)
2013-01-01 17:52 UTC, Demsking
no flags Details
File: smolt_data (2.35 KB, text/plain)
2013-01-01 17:52 UTC, Demsking
no flags Details
File: xsession_errors (832 bytes, text/plain)
2013-01-01 17:52 UTC, Demsking
no flags Details
File: executable (19 bytes, text/plain)
2013-01-01 17:52 UTC, Demsking
no flags Details
File: maps (62.68 KB, text/plain)
2013-01-01 17:52 UTC, Demsking
no flags Details
File: dso_list (18.30 KB, text/plain)
2013-01-01 17:52 UTC, Demsking
no flags Details
File: proc_pid_status (779 bytes, text/plain)
2013-01-01 17:52 UTC, Demsking
no flags Details
File: var_log_messages (307 bytes, text/plain)
2013-01-01 17:52 UTC, Demsking
no flags Details
File: open_fds (725 bytes, text/plain)
2013-01-01 17:52 UTC, Demsking
no flags Details
File: build_ids (7.93 KB, text/plain)
2013-01-01 17:53 UTC, Demsking
no flags Details

Description Demsking 2013-01-01 17:52:30 UTC
Version-Release number of selected component:
cairo-dock-core-2.4.0.2-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        cairo-dock
crash_function: cairo_dock_hide_child_docks
kernel:         3.6.10-2.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 cairo_dock_hide_child_docks at /usr/src/debug/cairo-dock-2.4.0.2/cairo-dock/src/gldit/cairo-dock-dock-manager.c:521
: #1 cairo_dock_on_leave_dock_notification at /usr/src/debug/cairo-dock-2.4.0.2/cairo-dock/src/gldit/cairo-dock-callbacks.c:662
: #2 cairo_dock_on_leave_notify at /usr/src/debug/cairo-dock-2.4.0.2/cairo-dock/src/gldit/cairo-dock-callbacks.c:829
: #3 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
: #7 g_signal_emit_by_name at gsignal.c:3393
: #8 cairo_dock_emit_signal_on_container at /usr/src/debug/cairo-dock-2.4.0.2/cairo-dock/src/gldit/cairo-dock-container.c:422
: #9 cairo_dock_emit_leave_signal at /usr/src/debug/cairo-dock-2.4.0.2/cairo-dock/src/gldit/cairo-dock-container.c:432
: #10 cairo_dock_dialog_unreference at /usr/src/debug/cairo-dock-2.4.0.2/cairo-dock/src/gldit/cairo-dock-dialog-manager.c:520
: #12 cairo_dock_remove_dialog_if_any_full at /usr/src/debug/cairo-dock-2.4.0.2/cairo-dock/src/gldit/cairo-dock-dialog-manager.c:560
: #13 cairo_dock_free_icon at /usr/src/debug/cairo-dock-2.4.0.2/cairo-dock/src/gldit/cairo-dock-icon-manager.c:92

Comment 1 Demsking 2013-01-01 17:52:33 UTC
Created attachment 671040 [details]
File: core_backtrace

Comment 2 Demsking 2013-01-01 17:52:35 UTC
Created attachment 671041 [details]
File: environ

Comment 3 Demsking 2013-01-01 17:52:37 UTC
Created attachment 671042 [details]
File: limits

Comment 4 Demsking 2013-01-01 17:52:40 UTC
Created attachment 671043 [details]
File: backtrace

Comment 5 Demsking 2013-01-01 17:52:42 UTC
Created attachment 671044 [details]
File: cgroup

Comment 6 Demsking 2013-01-01 17:52:44 UTC
Created attachment 671045 [details]
File: smolt_data

Comment 7 Demsking 2013-01-01 17:52:45 UTC
Created attachment 671046 [details]
File: xsession_errors

Comment 8 Demsking 2013-01-01 17:52:47 UTC
Created attachment 671047 [details]
File: executable

Comment 9 Demsking 2013-01-01 17:52:50 UTC
Created attachment 671048 [details]
File: maps

Comment 10 Demsking 2013-01-01 17:52:52 UTC
Created attachment 671049 [details]
File: dso_list

Comment 11 Demsking 2013-01-01 17:52:54 UTC
Created attachment 671050 [details]
File: proc_pid_status

Comment 12 Demsking 2013-01-01 17:52:56 UTC
Created attachment 671051 [details]
File: var_log_messages

Comment 13 Demsking 2013-01-01 17:52:58 UTC
Created attachment 671052 [details]
File: open_fds

Comment 14 Demsking 2013-01-01 17:53:00 UTC
Created attachment 671053 [details]
File: build_ids

Comment 15 Fedora End Of Life 2013-07-03 22:25:34 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2013-08-01 00:20:19 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.